Update custom app theme configuration for employer
curl --request PATCH \
--url https://api.symmetry.com/i9/v1/employers/{employerId}/applicationTheme \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"custom_app_theme": {
"body": {
"color": "#000000"
},
"buttons": {
"variants": {
"primary": {
"backgroundColor": "#0066cc"
}
}
}
}
}
'import requests
url = "https://api.symmetry.com/i9/v1/employers/{employerId}/applicationTheme"
payload = { "custom_app_theme": {
"body": { "color": "#000000" },
"buttons": { "variants": { "primary": { "backgroundColor": "#0066cc" } } }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
custom_app_theme: {
body: JSON.stringify({color: '#000000'}),
buttons: {variants: {primary: {backgroundColor: '#0066cc'}}}
}
})
};
fetch('https://api.symmetry.com/i9/v1/employers/{employerId}/applicationTheme', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"custom_app_theme": {
"body": {
"color": "#000000"
},
"buttons": {
"variants": {
"primary": {
"activeBackgroundColor": "#004499",
"backgroundColor": "#0066cc"
}
}
},
"link": {
"color": "#0a8080",
"decoration": "underline"
}
}
}Update custom app theme configuration for employer
Updates the existing custom app theme configuration for the specified employer. Only the provided fields will be updated; other fields will remain unchanged.
PATCH
/
v1
/
employers
/
{employerId}
/
applicationTheme
Update custom app theme configuration for employer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the employer
Body
application/json
Partial custom app theme configuration object
Custom app theme configuration request
Custom app theme configuration object
Show child attributes
Show child attributes
Response
Successfully updated custom app theme
Custom app theme configuration response
Custom app theme configuration object
Show child attributes
Show child attributes
⌘I

